%define pkgname %(echo %name | cut -d- -f2- | tr - _)

Name:          python-recommonmark
Version:       0.7.1
Release:       5mamba
Summary:       A 'docutils'-compatibility bridge to [CommonMark][cm]
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/recommonmark/
Source:        https://pypi.debian.net/recommonmark/recommonmark-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(commonmark)
BuildRequires: python3.11dist(docutils)
BuildRequires: python3.11dist(setuptools)
BuildRequires: python3.11dist(sphinx)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%if "%{?with_pyver}" == "3"
%define py_requires_append \
Obsoletes:     python-recommonmark < 0.7.1-4mamba \
Obsoletes:     python-recommonmark-py310 < 0.7.1-4mamba
%endif

%pyver_package
%endif

%prep
%setup -q -n recommonmark-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

#%if 0%{?with_pyver}
#for f in cm2html cm2latex cm2man cm2pseudoxml cm2xetex cm2xml; do
#  mv %{buildroot}%{_bindir}/$f %{buildroot}%{_bindir}/$f-%{?pyappend}
#  sed -i "s|%{_bindir}/$f|%{_bindir}/$f-%{?pyappend}|" %{name}.filelist
#done
#%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Fri Mar 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-5mamba
- fix typo in obsoleting python-recommonmark-py310

* Thu Mar 14 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-4mamba
- obsolete python-recommonmark-py310

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.7.1-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun May 14 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-2mamba
- rebuilt with python 3.10

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Sun Nov 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-4mamba
- rebuilt with -py3 package

* Fri May 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-3mamba
- rename binaries to fix py versions conflicts

* Thu Mar 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-2mamba
- require python-commonmark

* Thu Mar 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- package created using the webbuild interface
